### Method

# Camel Folder set_mark_seen_timeout

since: 3.32

#### Declaration [src]

    void
    camel_folder_set_mark_seen_timeout (
      CamelFolder* folder,
      gint timeout
    )

#### Description [src]

Sets the `timeout` in milliseconds for marking messages as seen in this `folder`. Whether the timeout is used depends on camel_folder_get_mark_seen().

Available since: 3.32

Sets property | `Camel.Folder:mark-seen-timeout`

#### Parameters

`timeout`

  Type: `gint`

  A timeout in milliseconds.